
package desglosemoneda5;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class DesgloseMoneda5 {

    public static void main(String[] args) {
        
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        int [] importeBilletesMonedas = {50, 20, 10, 5, 2, 1};
        int [] numeroUnidades = new int[6];
        int importe = 0;
                
        try {       
              System.out.print("Introducir importe a desglosar en billetes-monedas : ");
              importe = Integer.parseInt(bufferedReader.readLine());
        } catch (Exception excepcion)
        { System.out.println(excepcion.getMessage());
        }  

        for (int i = 0; i <= 5; i++) 
        {    
           numeroUnidades[i] = 0;
           if (importe >= importeBilletesMonedas[i])
           {
               numeroUnidades[i] = importe / importeBilletesMonedas[i];
               importe %= (numeroUnidades[i] * importeBilletesMonedas[i]);
           }             
        System.out.println("Después de aplicar el desglose de billetes de "+importeBilletesMonedas[i]+" , obtenemos "+numeroUnidades[i]+" billetes de   "+importeBilletesMonedas[i]+" . Queda pendiente de desglosar "+importe);   
        }              
    }  
}
